macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

# change the following options as needed
if(${CMAKE_HOST_SYSTEM_NAME} STREQUAL "Darwin")
  set_and_check(FFTW3_INCLUDE_DIRS "/opt/homebrew/include")
  set_and_check(FFTW3_LIBRARY_DIRS "/opt/homebrew/lib")

elseif(${CMAKE_HOST_SYSTEM_NAME} STREQUAL "Linux")
  set_and_check(FFTW3_INCLUDE_DIRS "/usr/include")
  set_and_check(FFTW3_LIBRARY_DIRS "/usr/lib")

else()
  message(FATAL_ERROR "Unset operation system for FFTW3. Please edit the FFTW3Config.cmake file.")
endif()

set(FFTW3_LIBRARIES fftw3)