macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

# change the following options as needed
if(${CMAKE_HOST_SYSTEM_NAME} STREQUAL "Darwin")
  set_and_check(GMT_INC_DIR "/opt/homebrew/include")
  set_and_check(GMT_LIB_DIR "/opt/homebrew/lib")

elseif(${CMAKE_HOST_SYSTEM_NAME} STREQUAL "Linux")
  set_and_check(GMT_INC_DIR "/usr/include")
  set_and_check(GMT_LIB_DIR "/usr/lib")

else()
  message(FATAL_ERROR "Unset operation system for GMT. Please edit the GMTConfig.cmake file.")
endif()

set(GMT_LIB gmt)